org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.provider

## Class TreeNodeCompareInputLabelProvider

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.provider.TreeNodeCompareInputLabelProvider

All Implemented Interfaces:
  org.eclipse.compare.ICompareInputLabelProvider, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class TreeNodeCompareInputLabelProvider
    extends Object
    implements org.eclipse.compare.ICompareInputLabelProvider

Provides labels for the content viewer pane.

### Constructor Summary

Constructors
Constructor and Description
`TreeNodeCompareInputLabelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `dispose()`
`org.eclipse.swt.graphics.Image` `getAncestorImage(Object input)`
`String` `getAncestorLabel(Object input)`
`org.eclipse.swt.graphics.Image` `getImage(Object element)`
`org.eclipse.swt.graphics.Image` `getLeftImage(Object input)`
`String` `getLeftLabel(Object input)`
`org.eclipse.swt.graphics.Image` `getRightImage(Object input)`
`String` `getRightLabel(Object input)`
`String` `getText(Object element)`
`boolean` `isLabelProperty(Object element, String property)`
`void` `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeNodeCompareInputLabelProvider

    public TreeNodeCompareInputLabelProvider()

### Method Detail

#### getImage

    public org.eclipse.swt.graphics.Image getImage(Object element)

Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
See Also:
  `ILabelProvider.getImage(Object element)`

#### getText

    public String getText(Object element)

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
See Also:
  `ILabelProvider.getText(Object element)`

#### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

Specified by:
  `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
See Also:
  `IBaseLabelProvider.addListener(ILabelProviderListener listener)`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
See Also:
  `IBaseLabelProvider.dispose()`

#### isLabelProperty

    public boolean isLabelProperty(Object element,
                                   String property)

Specified by:
  `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
See Also:
  `IBaseLabelProvider.isLabelProperty(Object element, String property)`

#### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

Specified by:
  `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
See Also:
  `IBaseLabelProvider.removeListener(ILabelProviderListener listener)`

#### getAncestorLabel

    public String getAncestorLabel(Object input)

Specified by:
  `getAncestorLabel` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  `ICompareInputLabelProvider.getAncestorLabel(Object input)`

#### getAncestorImage

    public org.eclipse.swt.graphics.Image getAncestorImage(Object input)

Specified by:
  `getAncestorImage` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  `ICompareInputLabelProvider.getAncestorImage(Object input)`

#### getLeftLabel

    public String getLeftLabel(Object input)

Specified by:
  `getLeftLabel` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  `ICompareInputLabelProvider.getLeftLabel(Object input)`

#### getLeftImage

    public org.eclipse.swt.graphics.Image getLeftImage(Object input)

Specified by:
  `getLeftImage` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  `ICompareInputLabelProvider.getLeftImage(Object input)`

#### getRightLabel

    public String getRightLabel(Object input)

Specified by:
  `getRightLabel` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  `ICompareInputLabelProvider.getRightLabel(Object input)`

#### getRightImage

    public org.eclipse.swt.graphics.Image getRightImage(Object input)

Specified by:
  `getRightImage` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  `ICompareInputLabelProvider.getRightImage(Object input)`